## rtpg726pay

rtpg726pay

## Properties

gboolean | force-aal2 | Read / Write

## Types and Values

struct | GstRtpG726Pay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRTPBaseAudioPayload
                            ╰── GstRtpG726Pay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Axis Communications <dev-gstreamer@axis.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-adpcm, channels=(int)1, rate=(int)8000, bitrate=(int){ 16000, 24000, 32000, 40000 }, layout=(string)g726

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int)8000, encoding-name=(string){ G726-16, G726-24, G726-32, G726-40, AAL2-G726-16, AAL2-G726-24, AAL2-G726-32, AAL2-G726-40 }

## Functions

## Types and Values

### struct GstRtpG726Pay

    struct GstRtpG726Pay;

## Property Details

### The `“force-aal2”` property

      “force-aal2”               gboolean

Force AAL2 encoding for compatibility with bad depayloaders.

Owner: GstRtpG726Pay

Flags: Read / Write

Default value: TRUE